### Method

# GLib MarkupParseContext get_element

since: 2.2

#### Declaration

    const gchar*
    g_markup_parse_context_get_element (
      GMarkupParseContext* context
    )

#### Description

Retrieves the name of the currently open element.

If called from the start_element or end_element handlers this will give the element_name as passed to those functions. For the parent elements, see g_markup_parse_context_get_element_stack().

Available since: 2.2

#### Return value

Type: `const gchar*`

The name of the currently open element, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.